<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 99</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA 99: relecture du papier 11</H1>

<P>Nom du papier et auteurs:
        Un Simulateur Synchrone pour Lucid Synchrone
<P>        Grégoire Hammon et Marc Pouzet


<H2>1</H2>

<P>

Nom du rapporteur: Laurent Dami

<P>Confiance en la note: (de 1 à 3) 2.5
<P> (1 : je n'ai pas compris car ce n'est pas mon domaine.
<P>  2 : j'ai compris, mais je ne domine pas le sujet.
<P>  3 : j'ai tout compris car c'est mon domaine.)

<P>Notation du papier: (de 1 à 5) 4
<P> (1: à rejeter; 2: inintéressant; 3: acceptable;
<P>  4: bon papier; 5: très bon papier)

<P>Commentaires aux auteurs: 

<P>Papier intéressant, bien écrit et convaincant. J'ai peu à dire, si ce
n'est qu'on aimerait en savoir plus sur "Lucid Synchrone". Bien
entendu la taille du papier ne permet peut-être pas de s'étendre
beaucoup plus sur le langage, mais je suis un peu surpris de ne rien
trouver dans les références concernant Lucid (pas même un rapport
technique?). Quel est l'historique?  S'agit-il d'un tout nouveau
langage? Si oui, comment expliquer que la première publication
proposée soit sur un simulateur, et non sur le langage lui-même?

<P>Dans les exemples, où se situe la frontière entre les variables Lucid,
munies d'horloges, et les variables Objective-CAML? Comment se calcule
le passage d'un état à l'autre, en particulier lors de références
circulaires entre plusieurs variables?

<P>Les explications sur les éléments d'interface graphique sont
satisfaisantes, mais sans énormément d'intérêt hors du contexte
Lucid. En revanche, l'introduction des effets de bords, qui semble
avoir été nécessaire pour cette opération, est quasiment passée sous
silence. A mes yeux cet élément mériterait une discussion beaucoup
plus approfondie sur les difficultés rencontrées et les solutions
techniques. Le style de programmation des exemples ressemble aux
fameuses "monades" qui permettent de traiter les effets de bords dans
les langages fonctionnels purs (Haskell); il serait bon d'expliquer si
votre démarche s'insère ou non dans ce mouvement.


<H2>2</H2>

<P><P>

Nom du rapporteur: Pierre Weis
<P>Confiance en la note: (de 1 à 3) 2.5
<P> (1 : je n'ai pas compris car ce n'est pas mon domaine.
<P>  2 : j'ai compris, mais je ne domine pas le sujet.
<P>  3 : j'ai tout compris car c'est mon domaine.)

<P>Notation du papier: (de 1 à 5) 4
<P> (1: à rejeter; 2: inintéressant; 3: acceptable;
<P>  4: bon papier; 5: très bon papier)

<P>Commentaires aux auteurs: 

<P>Un bon papier, clair et bien écrit. L'implémentation du simulateur en
Lucid Synchrone donne confiance en votre compilateur et en votre
langage. On aimerait cependant avoir une description plus précise du
langage et de son statut par rapport à son langage d'implémentation
Objective Caml. Vous dites que Lucid Synchrone «reprend la syntaxe et
le modèle d'exécution d'Objective Caml»: votre langage est-il une
simple extension d'Objective Caml ?  Pourrait-on concevoir une
intégration entre les deux langages ?  Pourrait-on plus modestement
envisager de faire coexister des modules écrits dans chacun des deux
langages ? Ou bien, à terme, votre langage est-il destiné à se séparer
d'Objective Caml ?

<P>Un article de fond sur le langage Lucid Synchrone s'impose si un
tel article n'existe pas encore. S'il existe, vous devriez le citer
dans votre bibliographie.

</BODY>
</HTML>
